Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232176 - add Tibetan Support group
Summary: add Tibetan Support group
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 167536
TreeView+ depends on / blocked
 
Reported: 2007-03-14 03:32 UTC by Jens Petersen
Modified: 2013-01-10 01:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 20:29:02 UTC


Attachments (Terms of Use)
comps-f7-tibetan.patch (deleted)
2007-03-14 03:32 UTC, Jens Petersen
no flags Details | Diff

Description Jens Petersen 2007-03-14 03:32:54 UTC
Description of problem:
Could you please add a tibetan-support group to comps since we now
have a Tibetan font in Fedora.  This will make it easier for people
to install Tibetan Support in F7.

Comment 1 Jens Petersen 2007-03-14 03:32:54 UTC
Created attachment 150021 [details]
comps-f7-tibetan.patch

Comment 2 Jesse Keating 2007-04-10 20:29:02 UTC
Added to comps.  Thanks!

Comment 3 Marcin Garski 2007-04-13 12:43:40 UTC
Jens do you think that we should also add jomolhari-fonts as mandatory package
next to tibetan-machine-uni-fonts?

Comment 4 Jens Petersen 2007-04-13 13:14:50 UTC
Good question.  Maybe I think we can make it default or optional since
it is more Bhutanese in style.  Perhaps we should also add a language group
for Bhutanese - the only problem is that current we don't have an m17n-db
map for it, can the bo-wylie.mim be used to input Dzongkha probably not?

Comment 5 Marcin Garski 2007-04-13 14:38:40 UTC
I would like to stick with those two fonts in Tibetan and also in Bhutanese
language group. As Chris wrote TMU is "more legible on screen at smaller sizes"
and "Jomolhari is generally a better choice in documents designed for print" and
as I understood they can be used both by Bhutanese and Tibetans.

Why not to use X11/xkb/symbols/bt? As it is a "Dzongkha layout for Bhutanese
keyboard", besides we have also dz_BT.utf8 locale and dz_BT langpack for OO.org
(which is missing in Fedora).

But Bhutanese support stuff should probably move to new bug report :)

Comment 6 Jens Petersen 2007-04-13 14:49:52 UTC
(In reply to comment #5)
> I would like to stick with those two fonts in Tibetan and also in Bhutanese
> language group.

Fine. With "default" there is still the option to select/deselect
it in the package manager.

> As Chris wrote TMU is "more legible on screen at smaller sizes"
> and "Jomolhari is generally a better choice in documents designed for print"
> and as I understood they can be used both by Bhutanese and Tibetans.

Yep.  Which font will be used when they share the same glyph?

> Why not to use X11/xkb/symbols/bt? As it is a "Dzongkha layout for Bhutanese
> keyboard", besides we have also dz_BT.utf8 locale and dz_BT langpack for OO.org
> (which is missing in Fedora).

Okay, that would work.  In the longer turn it would be nice to have m17n-db
map too for people who like to do multilingual input.  We usually write utf8
locale with ".UTF-8".

> But Bhutanese support stuff should probably move to new bug report :)

Yup, it should.

Comment 7 Marcin Garski 2007-04-13 15:44:00 UTC
236383(In reply to comment #6)
> Fine. With "default" there is still the option to select/deselect
> it in the package manager.

Great!

> Yep.  Which font will be used when they share the same glyph?

Good point. I assume Fontconfig performs fonts matching. I will need to read man
pages and documentation to find the answer.

> Okay, that would work.  In the longer turn it would be nice to have m17n-db
> map too for people who like to do multilingual input.  We usually write utf8
> locale with ".UTF-8".

I wrote ".utf8" because "locale -a | grep dz" have returned me such match.

> > But Bhutanese support stuff should probably move to new bug report :)
> 
> Yup, it should.

Your wish is my command :)
Bug #236383 - Dzongkha (Bhutan) support


Note You need to log in before you can comment on or make changes to this bug.